package org.average.whereami;

import android.os.Bundle;
import android.preference.PreferenceActivity;
import android.preference.Preference;
import android.preference.PreferenceManager;
import android.preference.Preference.OnPreferenceChangeListener;
import android.content.SharedPreferences;
import android.content.SharedPreferences.Editor;
import android.util.Log;

public class WhereAmIprefs extends PreferenceActivity {

    final String TAG = getClass().getName();

    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        addPreferencesFromResource(R.xml.preferences);
        Preference calendar_name = findPreference("calendar_name");
        calendar_name.setOnPreferenceChangeListener(
            new OnPreferenceChangeListener() {
                public boolean onPreferenceChange(Preference preference,
                                                  Object newValue) {
                    resetID();
                    return true;
                }
            }
        );
    }

    private void resetID() {
        SharedPreferences prefs =
                        PreferenceManager.getDefaultSharedPreferences(this);
        Editor editor = prefs.edit();
        editor.remove("calendar_id");
        editor.commit();
        Log.v(TAG, "Removed calendar_id from preferences");
    }
}
